package com.njcn.csharmonic.offline.mincfg.vo;

public class pqv_dev_info_run
{
	//C# TO JAVA CONVERTER WARNING: Unsigned integer types have no direct equivalent in Java:
//ORIGINAL LINE: uint[] line_run_sts;
	private Integer[] line_run_sts; //各个监测点测试运行状态
	//C# TO JAVA CONVERTER WARNING: Unsigned integer types have no direct equivalent in Java:
//ORIGINAL LINE: uint[] line_cur_dir_idx;
	private Integer[] line_cur_dir_idx; //各个监测点当前存储数据文件目录序号1-10.只有记录运行状态时有效
	public static int GetSize(int count)
	{
//C# TO JAVA CONVERTER TODO TASK: There is no Java equivalent to 'sizeof':
		int len = 2 * count * Integer.SIZE / Byte.SIZE;
		return len;
	}
	public pqv_dev_info_run(int count)
	{
		line_run_sts = new Integer[count];
		line_cur_dir_idx = new Integer[count];
	}
	public final boolean SetStructBuf(byte[] bArray, int nHaveRead, int count)
	{
		int nByteSize = bArray.length;
		if (nByteSize < GetSize(count))
		{
			return false;
		}
		int iStep = nHaveRead;

		RefObject<Integer[]> tempRef_line_run_sts = new RefObject<Integer[]>(line_run_sts);
		iStep += Service.convertUInt32Array(bArray, iStep, tempRef_line_run_sts);
		line_run_sts = tempRef_line_run_sts.argvalue;
		RefObject<Integer[]> tempRef_line_cur_dir_idx = new RefObject<Integer[]>(line_cur_dir_idx);
		iStep += Service.convertUInt32Array(bArray, iStep, tempRef_line_cur_dir_idx);
		line_cur_dir_idx = tempRef_line_cur_dir_idx.argvalue;
		return true;
	}
}